Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrLanguage Class Reference

A PangoAttrLanguage C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrLanguage:

List of all members.

## Public Member Functions

Constructors

- AttrLanguage (PangoLanguage *language)
    Construct a new language tag attribute.

Accessors

- PangoAttrLanguage * pango_attr_language () const
    Get a pointer to the PangoAttrLanguage structure.
- PangoLanguage * get_language () const
    Returns the language tag.

Methods

- void set_language (PangoLanguage *language)
    Sets the language.

## Detailed Description

A PangoAttrLanguage C++ wrapper class.

AttrLanguage wraps the language attribute (ATTR_LANGUAGE).

## Constructor & Destructor Documentation

Inti::Pango::AttrLanguage::AttrLanguage | ( | PangoLanguage * | language | ) | `[explicit]`

  | Construct a new language tag attribute. Parameters:
  language | The language tag.

## Member Function Documentation

void Inti::Pango::AttrLanguage::set_language | ( | PangoLanguage * | language | ) |

  | Sets the language. Parameters:
  language | The language tag.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer